#include <stddef.h>

#ifndef HAVE_CHAR_ARRAY
struct char_array { char *data; size_t size, capacity; };
#endif

struct text { struct char_array a; };

struct text text(void);
void text_(struct text *);
char *text_append_file(struct text *, const char *);
